Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.plastic
Class AnnotationBuilder

    java.lang.Object
      org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor
          org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder
              org.apache.tapestry5.internal.plastic.AnnotationBuilder

    public class AnnotationBuilder

extends AbstractAnnotationBuilder

Field Summary

Fields inherited from class org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder
`pool`

Fields inherited from class org.apache.tapestry5.internal.plastic.asm.AnnotationVisitor
`api, av`

Constructor Summary
`AnnotationBuilder(java.lang.Class annotationType, PlasticClassPool pool)`

Method Summary
`java.lang.Object` | `createAnnotation()`
`protected java.lang.Class` | `elementTypeForArrayAttribute(java.lang.String name)`
`protected void` | `store(java.lang.String name, java.lang.Object value)`

Methods inherited from class org.apache.tapestry5.internal.plastic.AbstractAnnotationBuilder
`visit, visitAnnotation, visitArray, visitEnd, visitEnum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationBuilder

    public AnnotationBuilder(java.lang.Class annotationType,
                             PlasticClassPool pool)

Method Detail

### store

    protected void store(java.lang.String name,
                         java.lang.Object value)

  Specified by:
    `store` in class `AbstractAnnotationBuilder`

### elementTypeForArrayAttribute

    protected java.lang.Class elementTypeForArrayAttribute(java.lang.String name)

  Overrides:
    `elementTypeForArrayAttribute` in class `AbstractAnnotationBuilder`

### createAnnotation

    public java.lang.Object createAnnotation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.